Bug 810385 - Linear LVM volume indicated as needing "multiple" PVs
Linear LVM volume indicated as needing "multiple" PVs
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Logical_Volume_Manager (Show other bugs)
Unspecified Linux
low Severity low
: rc
: ---
Assigned To: Steven J. Levine
: Documentation
Depends On:
  Show dependency treegraph
Reported: 2012-04-05 15:52 EDT by Jeff Blaine
Modified: 2013-02-25 12:54 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-25 12:54:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeff Blaine 2012-04-05 15:52:28 EDT
Description of problem:

    "A linear volume aggregates multiple physical volumes
     into one logical volume."

"multiple" should be stated as "1 or more", no?

Logical_Volume_Manager_Administration(EN)-6 (2011-11-14-15:20)
Comment 2 Steven J. Levine 2012-04-09 17:08:32 EDT
That's true, you can have a logical volume with only one PV (and there are often good reasons for that), which makes this sentence technically wrong. But the focus of that whole subsection is (at an absolute beginner level) the concept that you can aggregate different pieces of hardware so that they look to the system as if they were one piece of hardware. A "logical" piece of hardware.

So it would be technically better to fix it, but there's a part of me wondering if that could possibly be confusing right at this point in the overview. I'm thinking I should make the change, but before doing that I will run this by a couple of other folks just to be sure that this doesn't confuse things -- or to see if I can make it accurate without confusing things, perhaps by adding other information about why you might want to have a logical volume containing only one PV.

Thanks for pointing this out.
Comment 3 Steven J. Levine 2012-04-16 13:33:14 EDT
Moving this to 6.4 because of when this arrived (after development freeze for 6.3). It doesn't seem show-stopping enough to exception.
Comment 5 Steven J. Levine 2012-09-28 11:35:24 EDT
The 6.4 draft of the LVM document now replaces the noted sentence with the following:

"A linear volume aggregates space from one or more physical volumes into one logical volume."

Note You need to log in before you can comment on or make changes to this bug.